Bug 1661377 - grub2-efi-x64 and shim-x64 both removed during upgrade to F29
Summary: grub2-efi-x64 and shim-x64 both removed during upgrade to F29
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-21 03:53 UTC by Dustin J. Mitchell
Modified: 2020-11-24 18:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:21:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Dustin J. Mitchell 2018-12-21 03:53:30 UTC
Description of problem:

I upgraded to F29 on the 15th.  I rebooted today, and the (UEFI) host would not boot.  Installing these two packages fixed the situation.  Some digging in dnf history shows them being removed, but never reinstalled.

Steps to Reproduce:
1. Run Fedora 26
2. Upgrade to Fedora 29
3. Failure

Actual results:

System does not boot.


Expected results:

System boots.


Additional info:

Here's the dnf history entry where these were removed:

Transaction ID : 210
Begin time     : Sat 15 Dec 2018 05:45:30 PM EST
Begin rpmdb    : 2296:0f0946a167d6698a4ec14c000574ae96d37b318c
End time       : Sat 15 Dec 2018 05:46:21 PM EST (51 seconds)
End rpmdb      : 1928:4fd70ed4569e1ec652218e388350e8eb06421aa3
User           : Dustin J. Mitchell <dustin>
Return-Code    : Success
Releasever     : 29
Command Line   : 
Packages Altered:
...
    Removed grub2-efi-x64-1:2.02-62.fc29.x86_64                              @@System
    Removed grub2-pc-1:2.02-62.fc29.x86_64                                   @@System
    Removed grub2-pc-modules-1:2.02-62.fc29.noarch                           @@System
    Removed grub2-tools-efi-1:2.02-62.fc29.x86_64                            @@System
    Removed grub2-tools-extra-1:2.02-62.fc29.x86_64                          @@System
...
    Removed shim-x64-15-7.x86_64 @@System


The entry where they were subsequently added was by me just a few minutes ago.

Comment 1 Ben Cotton 2019-08-13 16:48:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Javier Martinez Canillas 2020-01-28 13:51:52 UTC
This was reported for Fedora 29, is this issue still present on current releases?

Comment 3 Ben Cotton 2020-11-03 15:06:30 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2020-11-24 18:21:47 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.